# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/action_builder/infrastructure/messaging/messages/repository_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nOryax/action_builder/infrastructure/messaging/messages/repository_messages.proto\x12\nrepository\"\xf7\x01\n\x0b\x41\x63tionBuild\x12\x11\n\taction_id\x18\x01 \x01(\t\x12\x13\n\x0b\x61\x63tion_type\x18\x02 \x01(\t\x12\x13\n\x0b\x61\x63tion_kind\x18\x03 \x01(\t\x12\x16\n\x0e\x61\x63tion_version\x18\x04 \x01(\t\x12\x16\n\x0e\x61\x63tion_archive\x18\x05 \x01(\x0c\x12\x1d\n\x15\x61\x63tion_technical_name\x18\x06 \x01(\t\x12 \n\x18\x61\x63tion_wrapper_type_list\x18\x07 \x03(\t\x12\x17\n\x0f\x61\x63tion_revision\x18\x08 \x01(\t\x12\x10\n\x08owner_id\x18\t \x01(\t\x12\x0f\n\x07project\x18\n \x01(\t\"&\n\x11\x41\x63tionCancelBuild\x12\x11\n\taction_id\x18\x01 \x01(\tb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.action_builder.infrastructure.messaging.messages.repository_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_ACTIONBUILD']._serialized_start=96
  _globals['_ACTIONBUILD']._serialized_end=343
  _globals['_ACTIONCANCELBUILD']._serialized_start=345
  _globals['_ACTIONCANCELBUILD']._serialized_end=383
# @@protoc_insertion_point(module_scope)
